import { getOxManifests } from '../manifests.js'

export default async function manifestsPlugin (fastify) {
  fastify.get('/manifests', async (req, reply) => {
    const { body, headers } = await getOxManifests({ version: reply.version })
    reply.headers(headers)
    reply.send(body)
  })
}
