import cors from '@fastify/cors'
import fp from 'fastify-plugin'
const originsFromEnv = (process.env.ORIGINS || '').split(',')
export const origin = originsFromEnv.length === 1 ? originsFromEnv[0] : originsFromEnv
export default fp(async (fastify) => {
  fastify.register(cors, {
    origin,
    methods: ['GET', 'POST'],
    maxAge: 86400
  })
})
