export default async function redirectsPlugin (fastify) {
  fastify.get('/ui', async (req, res) => {
    res.redirect(process.env.APP_ROOT)
  })

  fastify.post('/redirect', async (req, res) => {
    const location = req.body?.location || '../busy.html'
    res.redirect(location)
  })

  if (process.env.APP_ROOT.length > 1) {
    fastify.get('', async (req, res) => {
      res.redirect(process.env.APP_ROOT)
    })
  }
}
